Subject: Re: bug#11281: DST has not effect on windows XP when system DST adjustment is disabled

From: Kazuhiro Ito <[email-masked]>
Date: Tue, 27 May 2025 00:02:41 +0900

> > See above: I think I changed my mind, and we should set _dstbias
> > according to the actual value of TZ, and only if TZ is indeed set
> > (because I think if TZ is not set, MSVCRT gets the correct value from
> > GetTimeZoneInformation).  Can you try that and see if it improves the
> > current situation?
> 
> Please see attached patch.  I think we don't need to re-parse TZ value
> because it is already parsed by tzset and the result is set to
> _daylight variable.

I posted it before reading your patch, so please ignore it

> In addition, I noticed there is a code that calls
> tztest and needs the same workaoround on Windows in lib/time_rz.c,
> however I don't know how to apply the change only on Windows.  Please
> see the second patch.

I can't reproduce the problem with your patch.  I think I was somewhat
confused.  However I'm not sure tzset call in lib/time_rz.c is really
safe.  I'll post if I found the problem not fixed.  Sorry for noise.

-- 
Kazuhiro Ito